# Visualization
TKService
Image

# Image_DataMapNodeOfColorPixelDataMap Class Reference

`#include <Image_DataMapNodeOfColorPixelDataMap.hxx>`

## Public Member Functions

| Image_DataMapNodeOfColorPixelDataMap (const Aspect_ColorPixel &K, const Standard_Integer &I, const TCollection_MapNodePtr &n)
Aspect_ColorPixel & | Key () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Aspect_ColorPixel | myKey
Standard_Integer | myValue

## Constructor & Destructor Documentation

Image_DataMapNodeOfColorPixelDataMap::Image_DataMapNodeOfColorPixelDataMap | ( | const Aspect_ColorPixel & | K,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Image_DataMapNodeOfColorPixelDataMap::Handle | ( | Standard_Type |  | ) | const

Aspect_ColorPixel& Image_DataMapNodeOfColorPixelDataMap::Key | ( |  | ) | const

Standard_Integer& Image_DataMapNodeOfColorPixelDataMap::Value | ( |  | ) | const

## Field Documentation

Aspect_ColorPixel Image_DataMapNodeOfColorPixelDataMap::myKey `[private]`

Standard_Integer Image_DataMapNodeOfColorPixelDataMap::myValue `[private]`

The documentation for this class was generated from the following file:

- Image_DataMapNodeOfColorPixelDataMap.hxx